# Uses of Interface
org.jmol.api.JmolStatusListener

Packages that use JmolStatusListener
Package
Description
org.jmol.api
org.jmol.appletjs
org.jmol.awt
org.jmol.util
org.jmol.viewer
org.openscience.jmol.app.jmolpanel.console
org.openscience.jmol.app.status

## Uses of JmolStatusListener in org.jmol.api

Methods in org.jmol.api with parameters of type JmolStatusListener
Modifier and Type
Method
Description
`static JmolViewer`
JmolViewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener)`
legacy only
`protected static JmolViewer`
JmolViewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
This is the older main access point for creating an application or applet vwr.
`abstract void`
JmolViewer.`setJmolStatusListener(JmolStatusListener jmolStatusListener)`

## Uses of JmolStatusListener in org.jmol.appletjs

Classes in org.jmol.appletjs that implement JmolStatusListener
Modifier and Type
Class
Description
`class`
`Jmol`
Java2Script rendition of Jmol using HTML5-only or WebGL-based graphics

## Uses of JmolStatusListener in org.jmol.awt

Constructors in org.jmol.awt with parameters of type JmolStatusListener
Modifier
Constructor
Description
``
`FileDropper(JmolStatusListener statusListener, Viewer vwr, JmolDropEditor dropListener)`

## Uses of JmolStatusListener in org.jmol.util

Classes in org.jmol.util that implement JmolStatusListener
Modifier and Type
Class
Description
`class`
`GenericApplet`
A collection of all methods necessary for initialization of and communication with the applet.

## Uses of JmolStatusListener in org.jmol.viewer

Methods in org.jmol.viewer with parameters of type JmolStatusListener
Modifier and Type
Method
Description
`protected static JmolViewer`
Viewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
old way...
`void`
Viewer.`setJmolStatusListener(JmolStatusListener listener)`

## Uses of JmolStatusListener in org.openscience.jmol.app.jmolpanel.console

Methods in org.openscience.jmol.app.jmolpanel.console with parameters of type JmolStatusListener
Modifier and Type
Method
Description
`void`
AppConsole.`setStatusListener(JmolStatusListener myStatusListener)`

## Uses of JmolStatusListener in org.openscience.jmol.app.status

Classes in org.openscience.jmol.app.status that implement JmolStatusListener
Modifier and Type
Class
Description
`class`
`StatusListener`
Methods in org.openscience.jmol.app.status with parameters of type JmolStatusListener
Modifier and Type
Method
Description
`void`
StatusListener.`setUserStatusListener(JmolStatusListener listener)`